##### 7.5.21.0. fracStatus

Procedure from library `olga.lib` (see olga_lib).

Usage:
  fracStatus(frac, locType, locData), vector frac, int locType, list/intvec/vector locData

Purpose:
  determine if the given vector is a representation of a fraction in the specified localization

Assume:

Return:
  list

Note:
  - the first entry is 0 or 1, depending whether the input is valid - the second entry is a string with a status message

Example:

    LIB "olga.lib";
    ring r = QQ[x,y,Dx,Dy];
    def R = Weyl();
    setring R;
    fracStatus([1,0,0,0], 42, list(1));
    ==> [1]:
    ==>    0
    ==> [2]:
    ==>    invalid localization in fraction: gen(1)
    ==>       invalid localization: type is 42, valid types are:
    ==> 0 for a monoidal localization
    ==> 1 for a geometric localization
    ==> 2 for a rational localization
    list L = x;
    fracStatus([0,7,x,0], 0, L);
    ==> [1]:
    ==>    0
    ==> [2]:
    ==>    vector is not a valid fraction: no denominator specified in x*gen(3)+7\
       *gen(2)
    fracStatus([Dx,Dy,0,0], 0, L);
    ==> [1]:
    ==>    0
    ==> [2]:
    ==>    the left denominator Dx of fraction Dx*gen(1)+Dy*gen(2) is not in the \
       denominator set of type 0 given by x
    fracStatus([0,0,Dx,Dy], 0, L);
    ==> [1]:
    ==>    0
    ==> [2]:
    ==>    the right denominator Dy of fraction Dx*gen(3)+Dy*gen(4) is not in the\
        denominator set of type 0 given by x
    fracStatus([x,Dx,Dy,x], 0, L);
    ==> [1]:
    ==>    0
    ==> [2]:
    ==>    left and right representation are not equal in:x*gen(4)+x*gen(1)+Dx*ge\
       n(2)+Dy*gen(3)
    fracStatus([x,Dx,x*Dx+2,x^2], 0, L);
    ==> [1]:
    ==>    1
    ==> [2]:
    ==>    valid fraction

User manual for Singular version 4.4.1, 2025, generated by texi2html.